package com.lightinit.hsdatashow.service.ms;

import com.lightinit.hsdatashow.entity.BaseExample;
import com.lightinit.hsdatashow.entity.CulturalFacilities;
import com.lightinit.hsdatashow.model.ResultState;

import java.util.List;

public interface IMSTourismCultureService {
    List list(String tableType, BaseExample.Page pager);

    long queryCount(String tableType);

    Object findById(String tableType, Long id);

    ResultState delete(String tableType, Long id);

    <V>ResultState add(V v, boolean isEdit);
}
